%define name     babytrans
%define version  0.9.1
%define distsuffix plf
%define release  %mkrel 5

Summary: A graphical interface for the Babylon Translator
Name: %name
Version: %version
Release: %release
License: GPL
Group: Text tools
Source: http://fjolliton.free.fr/babytrans/%{name}-%{version}.tar.bz2

# Some explanation about this script:
# The goal is to permit to split dictionnaries into different package
# instead writting directly into %%_datadir/dictionary
# create a %name.template file
# in %post and %postun run: %_bindir/build_babytrans_dic
# It will cat each .template files into dictionary index
Source1: build_babytrans_dic.bz2

Patch0: %name.includeassert.patch.bz2
BuildRoot: %_tmppath/%name-buildroot
URL: http://fjolliton.free.fr/babytrans
BuildRequires: glib-devel
BuildRequires: gtk+-devel
Requires: babytrans-dictionaries

%description
BabyTrans is a graphical interface for the Babylon Translator
dictionaries (available under Windows).
(More information: <http://www.babylon.com>)

Babytrans is in plf because it need dictionnaries which are not free.

%prep
%setup -q
%patch0 -p0

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
bzcat %SOURCE1 > %buildroot%_bindir/build_babytrans_dic

perl -pi -e 's!^PATHDIC=.*!PATHDIC=%_datadir/%name!' %buildroot%_bindir/build_babytrans_dic
mkdir %buildroot%_datadir/%name
touch %buildroot%_datadir/%name/dictionary

# Menu
install -m 755 -d $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="x11" \
section="System/Text Tools" \
title="Babytrans" \
longtitle="Translating language" \
icon="edutainment_languages_section.png" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Babytrans
Comment=Translating language
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;X-MandrivaLinux-System-TextTools
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}
[ -f %_bindir/build_babytrans_dic ] && %_bindir/build_babytrans_dic
touch %_datadir/%name/dictionary

%postun
%{clean_menus}
[ -f %_bindir/build_babytrans_dic ] && %_bindir/build_babytrans_dic

%preun
rm -f %_datadir/%name/dictionary

%files
%defattr(-, root, root)
%doc ABOUT-NLS NEWS README.italian THANKS README.portuguese README README.spanish AUTHORS COPYING README.french INSTALL README.german README.gnome
%_bindir/%name
%attr(0755, root, root) %_bindir/build_babytrans_dic
%config(noreplace) %_sysconfdir/CORBA/servers/babytrans.gnorba
%_datadir/applets/Utility/%name.desktop
%ghost %config(noreplace) %_datadir/%name/dictionary
%_menudir/%name
%{_datadir}/applications/mandriva-%{name}.desktop

%Changelog
* Mon Aug 21 2006 Nicolas Lcureuil <neoclust@zarb.org> 0.9.1-5plf2007.0
- Fix rpmlint warnings

* Sat Aug 19 2006 Olivier Thauvin <nanardon@zarb.org> 0.9.1-4plf
- rebuild
- xdg menu

* Sat Feb 19 2005 Olivier Thauvin <nanardon@zarb.org> 0.9.1-3plf
- fix %%pre/%%post: thanks (Benoit Audouard <baud123@tuxfamily.org>)

* Wed Feb 16 2005 Olivier Thauvin <nanardon@zarb.org> 0.9.1-2plf
- birthday rebuild

* Sun Oct  5 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-1plf
- 1st mdk spec from Jean-Pierre Laroche <jipe@users.sourceforge.net>
- menu entry
- script to generate dictionaries index
